### Signal

# Gtk CellEditable::editing-done

since: 4.0

#### Declaration

    void
    editing_done (
      GtkCellEditable* self,
      gpointer user_data
    )

#### Description [src]

This signal is a sign for the cell renderer to update its value from the `cell_editable`.

Implementations of `GtkCellEditable` are responsible for emitting this signal when they are done editing, e.g. `GtkEntry` emits this signal when the user presses Enter. Typical things to do in a handler for ::editing-done are to capture the edited value, disconnect the `cell_editable` from signals on the `GtkCellRenderer`, etc.

`gtk_cell_editable_editing_done()` is a convenience method for emitting `GtkCellEditable::editing-done`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0